Bug 208041 - pygrub editing has no cursor
pygrub editing has no cursor
Product: Fedora
Classification: Fedora
Component: xen (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Xen Maintainance List
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2006-09-25 20:49 EDT by Pete Zaitcev
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-09-27 14:02:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Pete Zaitcev 2006-09-25 20:49:18 EDT
Description of problem:

When booting a guest and editing something with 'e', the pygrub screen
has no cursor. So, editing is made harder.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Use gnome-terminal (not sure if xterm is vulnerable)
2. Ensure that /etc/xen/guestname has bootloader="/usr/bin/pygrub".
   It's the default if our own tools created the guest.
2. Run  xm create -c guestname
3. Highlight kernel command line, hit 'e'
4. Observe that cursor is absent. Editing works fine though.

Actual results:

No cursor

Expected results:


Additional info:

I remember editing wasn't supported just a couple of months ago, so
it's actually great that it works now. It just needs a small fix-up.
Comment 1 Jeremy Katz 2006-09-27 14:02:39 EDT

Note You need to log in before you can comment on or make changes to this bug.